/*	
**	
**	Copyright (C) 1999 Geert Bevin
**	gbevin@thunderstorms.org
**	http://thunderstorms.org/fm
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 2 of the License, or
**	(at your option) any later version.
**	
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**	
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software
**	
**	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**		
*/

#ifndef __ABOUT_WINDOW_H__
#define __ABOUT_WINDOW_H__

#include <glib.h>
#include <gtk/gtk.h>

struct AboutWindow
{
	GtkWidget		*pDialog;
	GtkWidget		*pEventBoxLogo;
	GtkWidget		*pFrameLogo;
	GtkWidget		*pHBoxMain;
	GtkWidget		*pHSeperator1;
	GtkWidget		*pLabelCenter;
	GtkWidget		*pLabelTop;
	GtkWidget		*pPixmapLogo;
	GtkWidget		*pVBoxText;
};

void						aboutWindow_destroy(struct AboutWindow**);
struct AboutWindow*			aboutWindow_new();

#endif /* __ABOUT_WINDOW_H__ */

