/*	
**	
**	Copyright (C) 1999 Geert Bevin
**	gbevin@thunderstorms.org
**	http://thunderstorms.org/fm
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 2 of the License, or
**	(at your option) any later version.
**	
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**	
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software
**	
**	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**		
*/

#ifndef __PREFERENCES_WINDOW_SIGNALS_H__
#define __PREFERENCES_WINDOW_SIGNALS_H__

#include <glib.h>
#include <gtk/gtk.h>

void preferencesWindow_buttonCancel(GtkWidget*, gpointer);
void preferencesWindow_buttonClearLayoutNow(GtkWidget*, gpointer);
void preferencesWindow_buttonClearPreferencesNow(GtkWidget*, gpointer);
void preferencesWindow_buttonOk(GtkWidget*, gpointer);
void preferencesWindow_buttonSave(GtkWidget*, gpointer);
void preferencesWindow_buttonSaveLayoutNow(GtkWidget*, gpointer);
void preferencesWindow_buttonSavePreferencesNow(GtkWidget*, gpointer);
void preferencesWindow_buttonToggled(GtkWidget*, gpointer);
void preferencesWindow_buttonToggledDefaultPosition(GtkWidget*, gpointer);
void preferencesWindow_buttonToggledSaveLayout(GtkWidget*, gpointer);
void preferencesWindow_clistColumnsRowMove(GtkCList*, gint, gint, gpointer);
void preferencesWindow_ctreeSelect(GtkWidget*, GtkCTreeNode*);
void preferencesWindow_entryUnsignedIntegerChange(GtkWidget*, gpointer);

#endif /* __PREFERENCES_WINDOW_SIGNALS_H__ */

