/*	
**	
**	Copyright (C) 1999 Geert Bevin
**	gbevin@thunderstorms.org
**	http://thunderstorms.org/fm
**
**	This program is free software; you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation; either version 2 of the License, or
**	(at your option) any later version.
**	
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**	
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software
**	
**	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**		
*/

#ifndef __ACCEL_KEY_H__
#define __ACCEL_KEY_H__

#include <gdk/gdktypes.h>
#include <glib.h>

struct AccelKey
{
	guint			key;
	GdkModifierType	mods;
};

struct AccelKey*	accelKeyFind(GHashTable*, gchar*);
struct AccelKey*	accelKeyNew(GHashTable*, char*, guint, guint);
void				accelKeyRemove(GHashTable*, gchar*);
void				accelKeyUpdateInAllFmWindows(GHashTable*, GList*, gchar*);
void				accelKeysRemoveAll(GHashTable*);
gboolean			accelKeysForEachRemove(gpointer, gpointer, gpointer);

#endif /* __ACCEL_KEY_H__ */

